package com.example.taxi;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import androidx.appcompat.app.AppCompatActivity;

public class ThirdActivity extends AppCompatActivity {

    private EditText etStartPoint, etEndPoint;
    private Button btnOk;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_third);

        etStartPoint = findViewById(R.id.etStartPoint);
        etEndPoint = findViewById(R.id.etEndPoint);
        btnOk = findViewById(R.id.btnOk);

        btnOk.setOnClickListener(v -> {
            String startPoint = etStartPoint.getText().toString();
            String endPoint = etEndPoint.getText().toString();
            String route = "Маршрут: " + startPoint + " -> " + endPoint;

            Intent resultIntent = new Intent();
            resultIntent.putExtra("route", route);
            setResult(RESULT_OK, resultIntent);
            finish();
        });
    }
}